[TOC]

# 在线协作项目

## 技术栈

vue2 + vuex + vue-router + webpack + ES6/7 + less + element-ui

## 手机版线上地址

线上地址：http://183.224.8.165:5081/ease-flow-console-v2/dist/work_app/index.html?userId=7640#/taskmanagement
胜浦多帮线上地址： http://183.224.8.165:5081/ease-flow-console-v2/dist/spdblink/index.html?userId=101932&orderNo=ZDYH-DH-MS034-20200717-02129540#/taskmanagement

## 项目统一规范（css ，js）

1.  代码保存格式 采用 eslint
2.  pc 端通用的 css 在 mixin.less 中
3.  所有的输入框、下拉框、日期选择框 默认 element 中的 size：small
4.  body 背景色：#e9eaee
5.  板块背景：#fff
6.  板块标题背景：#f7f7f7
7.  板块内容背景：#f8fdff
8.  表格：表头及边框线：#fafafa

### 字体大小

    1. 顶部当前位置 14px   #333333
    2. 一级菜单 16px  #333333
    3. 二级菜单 14px  #0069c2
    4. 三级菜单 14px  #333333
    5. 内容大小 14px   标题加粗  颜色#333333  #666666  #999999   区分信息强弱
    6. 分割线颜色： #a7ddfb    #cccccc

### css 命名规范

## 后台接口

[怀富接口](http://note.youdao.com/noteshare?id=c1635ee6be1826ecf8001b8c82841a44)

[后台补充接口](http://note.youdao.com/noteshare?id=8df7931f3f0bf6f8d50bc40ea9b55ba6)

## 项目查看地址

[博联环境](http://ynmcc.iok.la:8082/cas/login?service=http%3A%2F%2Fynmcc.iok.la%3A9010%2Fease-flow-console-web%2Flogin%2Fcas#/homepage)

## 安装与运行

```bash
# 安装相关依赖
npm install

# 启动服务  地址： localhost:8080
npm run dev

# 打包生产环境
npm run build
# 打包浙江环境
npm run build:zhejiang

# 打包分析组件大小
npm run build --report
```
